
QGIS Application - Bug report #6276

Raster Layer Properties for WMS only partly work

2012-08-29 04:16 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15578

Description

QGIS crashes when accepting Layer Properties of a WMS layer

Steps to reproduce:

    -  load a WMS layer in QGIS

    -  Open layer properties

    -  Press Accept or OK in the dialogue

QGIS crashes

Related issues:

Duplicated by QGIS Application - Bug report # 6286: Global Transparency not w... Closed 2012-08-31

History

#1 - 2012-08-29 04:17 AM - Andreas Neumann

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2012-08-29 04:37 AM - Andreas Neumann

Radim, thank you for having a look at this problem!

Andreas

#3 - 2012-08-29 04:58 AM - Jürgen Fischer

crash fixed in commit:b3a6172

The original origin probably is:

src\\core\

aster\\qgsrasterpipe.cpp(65) : (QgsRasterPipe::connect) cannot connect class QgsMultiBandColorRenderer to class QgsWmsProvider

also note that render caching sometimes interferes with WMS rendering (IIRC I only noticed it so far, when accessing QGIS mapserver from QGIS; not

sure if there already is a ticket for that).

#4 - 2012-08-29 09:18 AM - Jürgen Fischer
- Crashes QGIS or corrupts data changed from Yes to No

#5 - 2012-08-31 12:47 AM - Andreas Neumann

With the recent builds QGIS does not crash any more.

But e.g. the Global Transparency Setting (slider) is just ignored (nothing happens).

#6 - 2012-08-31 01:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

Andreas Neumann wrote:

With the recent builds QGIS does not crash any more.

should we close this ticket?

#7 - 2012-08-31 02:09 AM - Jürgen Fischer

Giovanni Manghi wrote:

Andreas Neumann wrote:

With the recent builds QGIS does not crash any more.

should we close this ticket?

No.

#8 - 2012-08-31 02:12 AM - Jürgen Fischer

- Subject changed from QGIS crashes when accepting Layer Properties of a WMS layer to Raster Layer Properties for WMS only partly work

#9 - 2012-09-03 09:22 AM - Radim Blazek

It should be fixed in commit:e5389212

Please verify and close.

#10 - 2012-09-03 11:49 PM - Andreas Neumann

- Status changed from Feedback to Closed

Works fine now - Thanks a lot!
